# Count disputes per group status Count disputes aggregated by group status. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Disputes", "description": "Endpoints to create and manage disputes" } ], "components": { "schemas": { "CountDisputes": { "type": "object", "description": "Count disputes for each status group", "properties": { "OPEN": { "type": "number", "description": "Number of disputes in status group `OPEN`.", "example": 1 }, "APPROVED": { "type": "number", "description": "Number of disputes in status group `APPROVED`.", "example": 0 }, "DENIED": { "type": "number", "description": "Number of disputes in status group `DENIED`.", "example": 2 }, "CARDNETWORK_CHARGEBACK": { "type": "number", "description": "Number of disputes in status group `CARDNETWORK_CHARGEBACK`.", "example": 0 }, "ANALYSING": { "type": "number", "description": "Number of disputes in status group `ANALYSING`.", "example": 1 }, "CARDNETWORK_SECOND_PRESENTMENT": { "type": "number", "description": "Number of disputes in status group `CARDNETWORK_SECOND_PRESENTMENT`.", "example": 0 }, "FAILED": { "type": "number", "description": "Number of disputes in status group `FAILED`.", "example": 1 }, "CARDNETWORK_PREARBITRATION": { "type": "number", "description": "Number of disputes in status group `CARDNETWORK_PREARBITRATION`.", "example": 0 }, "RESEND": { "type": "number", "description": "Number of disputes in status group `RESEND`.", "example": 1 }, "LOSS": { "type": "number", "description": "Number of disputes in status group `LOSS`.", "example": 1 }, "WON": { "type": "number", "description": "Number of disputes in status group `WON`.", "example": 1 }, "REJECTED": { "type": "number", "description": "Number of disputes in status group `REJECTED`.", "example": 1 }, "FAILED_PROCESSED": { "type": "number", "description": "Number of disputes in status group FAILED_PROCESSED.", "example": 1 } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Unauthorized. Invalid or missing access token." }, "404NotFound": { "description": "Not found" }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/v1/disputes/count": { "get": { "summary": "Count disputes per group status", "description": "Count disputes aggregated by group status.", "operationId": "get-v1-disputes-count", "tags": [ "Disputes" ], "parameters": [ { "name": "accountId", "in": "query", "description": "Account ID. **REQUIRED** if `beginDate` not provided.", "required": false, "schema": { "type": "number", "format": "int64", "example": 123, "minimum": 1 } }, { "name": "beginDate", "in": "query", "description": "Beginning date filter, format = yyyy-mm-dd. **REQUIRED** if `accountId` not provided.", "required": false, "schema": { "type": "string", "example": "2020-01-31" } }, { "name": "endDate", "in": "query", "required": false, "description": "End date filter, format = yyyy-mm-dd.", "schema": { "type": "string", "example": "2020-02-01" } }, { "in": "query", "name": "isNetwork", "schema": { "type": "boolean", "example": true }, "required": false, "description": "Return only network disputes? Default is `false`." } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CountDisputes" }, "examples": { "Dispute count": { "value": { "OPEN": 1, "APPROVED": 0, "DENIED": 2, "CARDNETWORK_CHARGEBACK": 3, "ANALYSING": 1, "CARDNETWORK_SECOND_PRESENTMENT": 2, "FAILED": 0, "CARDNETWORK_PREARBITRATION": 1, "RESEND": 0, "LOSS": 1, "WON": 4, "REJECTED": 2, "FAILED_PROCESSED": 0 } } } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```